### A free/open-source library for quantitative finance

Classes
ql/pricingengines/basket/kirkengine.hpp File Reference

kirk formulae, due to Kirk (1995) More...

`#include <ql/instruments/basketoption.hpp>`
`#include <ql/processes/blackscholesprocess.hpp>`
Include dependency graph for kirkengine.hpp:

## Classes

class | KirkEngine
| Pricing engine for spread option on two futures. More...

## Detailed Description

kirk formulae, due to Kirk (1995)